Name:           perl-ParseUtil-Domain
Summary:        Utility for parsing a domain name into its components
Version:        2.42
Release:        1%{?dist}

# - ParseUtil::Domain is GPL+ or Artistic (the "Perl" license)
# - data/effective_tld_names.txt is MPLv2.0
# - ParseUtil::Domain::ConfigData is automatically generated during the build,
#   based on the contents of data/effective_tld_names.txt
License:        (GPL+ or Artistic) and MPLv2.0

URL:            http://search.cpan.org/dist/ParseUtil-Domain/
Source0:        http://www.cpan.org/authors/id/H/HE/HEYTRAV/ParseUtil-Domain-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(autobox)
BuildRequires:  perl(autobox::Core)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp) >= 1.17
BuildRequires:  perl(lib)
BuildRequires:  perl(Modern::Perl)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Moose)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Net::IDN::Encode) >= 2.003
BuildRequires:  perl(Net::IDN::Nameprep) >= 1.101
BuildRequires:  perl(Net::IDN::Punycode) >= 1.100
BuildRequires:  perl(Perl6::Export::Attrs)
BuildRequires:  perl(Perl::Critic)
BuildRequires:  perl(Regexp::Assemble::Compressed)
BuildRequires:  perl(Smart::Comments)
BuildRequires:  perl(Test::Class)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Perl::Critic)
BuildRequires:  perl(Test::Routine)
BuildRequires:  perl(Test::Routine::Util)
BuildRequires:  perl(Unicode::CharName) >= 1.07
BuildRequires:  perl(utf8::all)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
A tool for parsing domain names. This module makes use of the data provided
by the Public Suffix List (http://publicsuffix.org/list/) to parse TLDs.


%prep
%setup -q -n ParseUtil-Domain-%{version}

# Remove incorrect executable bits
chmod -x lib/ParseUtil/Domain.pm \
         data/effective_tld_names.txt

%build
perl Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc data/effective_tld_names.txt
%{_bindir}/punyconvert
%{_mandir}/man1/punyconvert.1*
%{_mandir}/man3/ParseUtil::Domain*3pm*
%{perl_vendorlib}/ParseUtil*


%changelog
* Sun Oct 19 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 2.42-1
- Update to 2.42
- Update dependencies

* Wed Sep 03 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.36-2
- Perl 5.20 rebuild

* Sun Aug 31 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 2.36-1
- Update to 2.36

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 13 2013 Paul Howarth <paul@city-fan.org> - 2.30-1
- Update to 2.30 for Perl 5.18 support (#992709)

* Fri Aug 09 2013 Petr Pisar <ppisar@redhat.com> - 2.22-5
- Perl 5.18 rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 06 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 2.22-3
- Change "tlds" to "TLDs" in the description.
- Add missing build requirements.

* Fri Jan 25 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 2.22-2
- Replace usage of the %%{__perl} macro by the plain perl command.
- Add missing build requirements.
- Remove incorrect executable bits.

* Wed Jan 02 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 2.22-1
- Initial package for Fedora, with help from cpanspec.
